#if !defined(__RPI_LEDDRIVER_H__)
#define __RPI_LEDDRIVER_H__

#include <stdint.h>

void leddriver_setup();

void leddriver_close();

void set_color(uint32_t rgb, int index);

void rgb_txdata(int *rgbs, int index);

void leddriver_refresh();

uint32_t ColorHSV(uint16_t hue, uint8_t sat, uint8_t val);

#endif // __RPI_LEDDRIVER_H__